Software Requirements

Home/Software Requirements

What browsers will ENGAGE products run on?

The current version of ENGAGE™ suite depends on Microsoft Silverlight so the browsers currently supported are Internet Explorer, Firefox and Safari. The new HTML5 modeler which is currently available will work on any browser.

Upcoming Events

  1. OneTeamGov bureaucracy hack

    3 July @ 8:00 am - 5:00 pm
  2. Improvement Community of Practice 2019

    10 July @ 12:30 pm - 4:00 pm
  3. LocalGovDigitalCamp MIDLANDS

    25 July @ 8:00 am - 5:00 pm